Skip to main content
GET
List access requests

Authorizations

Authorization
string
header
required

Bearer token authentication. Pass your AccessOwl API token in the Authorization header as Bearer <token>.

Query Parameters

limit
integer

Maximum results to return (default: 20, max: 100)

cursor
string

Opaque cursor returned in the previous response's meta.next_cursor. Omit for the first page.

user_id
string<uuid>

Filter by the grantee user (the user the request is for)

application_id
string<uuid>

Filter by application

status
enum<string>

Filter by request status

Available options:
pending_approval,
pending_permissions_assignment,
scheduled,
pending_dependency,
processing_access,
access_granted,
denied,
rejected

Response

Access request list

Paginated list of access requests

data
AccessRequest · object[]
required

List of access requests

meta
PaginationMeta · object
required

Pagination metadata

Example:
Last modified on June 3, 2026